package me.nsareen.mp.quickstart;

import java.util.concurrent.ExecutionException;

import jakarta.inject.Inject;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.core.Response;
import org.eclipse.microprofile.rest.client.inject.RestClient;

@Path("/beanGreet")
public class GreetResourceBean {

    @Inject
    @RestClient
    GreetRestClient client;

    @Path("asyncHandler")
    @GET
    public Response getMessageAsync() {
        try {
            return client.getMessageAsync().toCompletableFuture().get();
        } catch (InterruptedException | ExecutionException e) {
            throw new RuntimeException(e);
        }
    }
}
