package me.nsareen.mp.quickstart;

import java.util.concurrent.CompletionStage;

import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.core.Response;
import org.eclipse.microprofile.rest.client.annotation.RegisterProvider;
import org.eclipse.microprofile.rest.client.inject.RegisterRestClient;

@RegisterRestClient(baseUri = "http://localhost:8200/simple-greet")
@RegisterProvider(GreetClientExceptionMapper.class)
public interface GreetRestClient {

    @Path("asyncHandler")
    @GET
    CompletionStage<Response> getMessageAsync();
}
