package me.nsareen.mp.quickstart;

import org.eclipse.microprofile.rest.client.ext.ResponseExceptionMapper;

import jakarta.ws.rs.core.Response;

public class GreetClientExceptionMapper implements ResponseExceptionMapper<GreetResourceException> {

    @Override
    public GreetResourceException toThrowable(Response response) {
        System.out.println("### toThrowable " + response);
        if (response.getStatus() >= 400 && response.getStatus() < 500) {
            return new GreetResourceRequestException("Encountered Request error", response);
        }
        else if (response.getStatus() >= 500) {
            System.out.println("### About to return GreetResourceEndpointException");
            return new GreetResourceEndpointException("Bad implementation for entity!", response);
        }
        return null;
    }

}
